# Dataset formatting

## Description

Use the `teklia-dan dataset format` command to format a dataset. This will generate two important files to train a DAN model:
`labels.json`
: The mapping, for each split, of the images (identified by its path) to the ground-truth transcription (with NER tokens if needed).

`charset.pkl`
: The set of characters encountered in the dataset.

The available arguments are

| Parameter                      | Description                                                                         | Type     | Default |
| ------------------------------ | ----------------------------------------------------------------------------------- | -------- | ------- |
| `--dataset`                       | Path to the folder containing the dataset.         | `str|uuid` |         |
| `--image-format`                 | Format under which the images were generated.                    | `str`      |         |
| `--keep-spaces`                 | Transcriptions are trimmed by default. Use this flag to disable this behaviour.                    | `str`      |         |

## Examples

### Format dataset with PNG images
```shell
teklia-dan dataset format \
    --dataset path/to/dataset \
    --image-format png
```
The created files will be stored at the root of your dataset.
